SuperTux Bug Tracker
SuperTux logo


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000244supertuxGame Enginepublic2007-09-30 17:432015-10-18 23:10
ReporterRichih 
Assigned Tohume2 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformallOSallOS Versionall
Product Version0.3.1 
Target VersionMilestone 2Fixed in Version 
Summary0000244: Let supertux handle lack of data files gracefully and without exiting abnormally
DescriptionAs agreed with grumbel, here is the reminder :)

Basically, tell the user in-game that resource file foo was not found and try to cope without it instead of just dieing on load.
Steps To ReproduceStart supertux without sfx/music/whatever installed
TagsNo tags attached.
Fixed in GIT revision
Fixed in subversion revision
Attached Files

- Relationships

-  Notes
(0000603)
Ravu al Hemio (administrator)
2007-10-06 12:41

Definitely a problem.
(0003162)
ctdabomb (administrator)
2012-03-05 05:27

i think this is partially solved...
levels don't quit the game and I think missing badguys just don't show up.....
(0003785)
hume2 (administrator)
2015-10-18 23:10

Fixed. Fixed. Fixed.

- Issue History
Date Modified Username Field Change
2007-09-30 17:43 Richih New Issue
2007-10-06 12:41 Ravu al Hemio Note Added: 0000603
2007-10-06 12:41 Ravu al Hemio Status new => confirmed
2008-06-22 06:41 sommer Target Version => Milestone 2
2008-11-20 06:26 chronicharold Issue Monitored: chronicharold
2010-02-04 23:18 octo Severity minor => crash
2010-02-04 23:27 octo Relationship added parent of 0000517
2010-02-08 02:01 mattmccutchen2 Relationship deleted parent of 0000517
2012-03-05 05:27 ctdabomb Note Added: 0003162
2014-08-10 22:46 grumbel Assigned To => grumbel
2014-08-10 22:46 grumbel Status confirmed => assigned
2015-10-18 22:52 hume2 Assigned To grumbel => hume2
2015-10-18 23:10 hume2 Note Added: 0003785
2015-10-18 23:10 hume2 Status assigned => resolved
2015-10-18 23:10 hume2 Resolution open => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker